Summary
Gets Tasks
Description
Search the Task collection.
Route
GET /operations-manager/tasks
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| queryParameters | object | yes | The query parameters available for this method. |
{ "queryParameters": { "limit": 10, "skip": 10, "order": 1, "sort": "name", "include": "name,description", "exclude": "description", "in": "aliqua", "not-in": "minim", "equals": "eiusmod cillum nisi incididunt", "contains": "consectetur in in est", "starts-with": "irure", "ends-with": "adipisicing id sunt", "dereference": "dolor aliquip eiusmod elit reprehenderit", "gt": "non", "gte": "cupidatat reprehenderit minim", "lt": "Ut veniam ut", "lte": "magna fugiat eu", "q": "cupidatat do in aute", "actionableTasks": false } }
{ "type": "object", "properties": { "queryParameters": { "title": "queryParameters", "type": "object", "properties": { "limit": { "type": "integer", "description": "Number of results to return. Used for pagination.", "default": 25, "minimum": 0, "examples": [ 1, 10, 50 ] }, "skip": { "type": "integer", "description": "Number of results to skip. Used for pagination.", "default": 0, "minimum": 0, "examples": [ 1, 10, 50 ] }, "order": { "type": "integer", "description": "Sort direction, 1 for ascending and -1 for descending.", "default": 1, "enum": [ -1, 1 ] }, "sort": { "type": "string", "description": "Field to sort by", "default": "name", "enum": [ "name" ] }, "include": { "type": "string", "description": "Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.", "examples": [ "name", "description", "name,description" ] }, "exclude": { "type": "string", "description": "Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.", "examples": [ "_id", "description", "_id,description" ] }, "in": { "description": "Search for fields exactly matching one of the given list options", "type": "string" }, "not-in": { "description": "Search for fields not exactly matching one of the given list options", "type": "string" }, "equals": { "description": "Returns results where the specified fields exactly match the given match string(s).", "type": "string" }, "contains": { "description": "Returns results where the specified fields contain the given match string(s).", "type": "string" }, "starts-with": { "description": "Returns results where the specified fields start with the given match string(s).", "type": "string" }, "ends-with": { "description": "Returns results where the specified fields end in the given match string(s).", "type": "string" }, "dereference": { "description": "Designates foreign key fields to dereference in the API output.", "type": "string" }, "gt": { "description": "Returns results where the specified fields have values greater than the specified values.", "type": "string" }, "gte": { "description": "Returns results where the specified fields have values greater than or equal to the specified values.", "type": "string" }, "lt": { "description": "Returns results where the specified fields have values less than the specified values.", "type": "string" }, "lte": { "description": "Returns results where the specified fields have values less than or equal to the specified values.", "type": "string" }, "q": { "description": "Accepts a full query expression as a URL-encoded JSON object. Supports all other query operators, in addition to logical conjunction with 'and', disjunction with 'or', and negation with 'not'. May be combined with other top-level operators.", "type": "string" }, "actionableTasks": { "type": "boolean", "description": "If true, only returns actionable tasks that the current user has write access to.", "default": false } } } }, "required": [ "queryParameters" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| result | object | The Tasks that matched the search query. |
{ "message": "Successfully created the requested item", "data": [ { "_id": "ef4F0a5F-E89F-DCdb-Da9E-8fEaC079f529", "location": "Application", "view": null, "status": "complete", "app": "enim ex culpa aute nostrud", "name": "adipisicing nisi ipsum Duis minim", "variables": { "decorators": [ { "type": "encryption", "pointer": "/fgG0qE/KvVM,t7kXAl/~0/~0/PyDb-ACfKH8/~0" }, { "type": "encryption", "pointer": "/XRW4IS5,A/~1/V7x/3QK/rhbb/M+X/~1" } ] }, "last_updated": "2004-02-26T05:26:51.88Z", "encodingVersion": 1, "job": { "_id": "fdb251a2aec08d532b73584f", "task": "e28f", "name": "myCoolDocumentName", "description": "Some helpful information about the document", "ancestors": [ "f9742baa918eb48d005a24c7", "79eedf0e901a5af7b9fc704f" ] }, "groups": [ "8265aa9f1c4840b9bbade358", { "_id": "c4bd3b1e231317a4cb7bc06c", "provenance": "dolor veniam aute", "name": "consequat", "description": "nostrud", "memberOf": [ { "groupId": "9913d982ee0e35163719cb63", "aaaManaged": true }, { "groupId": "0558d34a1142c9c766d9a0ae", "aaaManaged": false }, { "groupId": "ad489038a579c157b3d158a2", "aaaManaged": true }, { "groupId": "0d7973abd484d93b3f72cdf9", "aaaManaged": false }, { "groupId": "6670766132b08fcb40554103", "aaaManaged": true } ], "assignedRoles": [ { "roleId": "magna amet ut" }, { "roleId": "commodo minim tempor dolor" }, { "roleId": "adipisicing Lorem enim Duis" }, { "roleId": "et" } ], "inactive": false, "_meta": { "created": "1991-06-26T18:31:09.975Z", "updated": "1976-12-19T09:14:41.493Z", "migrationVersion": -74385743 } }, { "_id": "0d015cc3a3250905973a1ef3", "provenance": "laborum", "name": "incididunt Excepteur in", "description": "commodo eiusmod", "memberOf": [ { "groupId": "3cf3e934dd842c4045f16d6b", "aaaManaged": false }, { "groupId": "01d9b314c2c4055527544e36", "aaaManaged": false }, { "groupId": "7af04c437399ec2783e11464", "aaaManaged": true } ], "assignedRoles": [ { "roleId": "enim" }, { "roleId": "ad in enim dolore" }, { "roleId": "deserunt consectetur commodo esse" } ], "inactive": true, "_meta": { "created": "2000-04-14T04:49:35.748Z", "updated": "2010-11-28T22:39:05.555Z", "migrationVersion": -16829824 } }, { "_id": "00e182ecba32902d80095670", "provenance": "non aliqua in proident", "name": "cupidatat anim nostrud dolor", "description": "consequat in", "memberOf": [ { "groupId": "7851e009723ab7cd6e6f8a23", "aaaManaged": false }, { "groupId": "de1b30bc2c141c0c06b10388", "aaaManaged": false } ], "assignedRoles": [ { "roleId": "aliquip commodo" }, { "roleId": "aliquip non aute sed elit" } ], "inactive": true, "_meta": { "created": "1955-07-24T06:20:51.976Z", "updated": "1952-12-13T15:38:39.118Z", "migrationVersion": -77014754 } } ], "type": "operation", "metrics": { "start_time": "reprehenderit commodo do et fugiat", "end_time": -17817701.73625827, "server_id": "sint", "finish_state": "success", "run_time": -50937117.04683819, "retrying": null, "user": "Pronghorn", "owner": "ab450ebb2611af6393f990ed" } }, { "_id": "32eb7Ac0-B8Ee-5B02-6718-5Fc308fd44eA", "location": "Adapter", "view": "reprehenderit", "status": "running", "app": "proident adipisicing Excepteur reprehenderit", "name": "dolore mollit", "variables": { "decorators": [ { "type": "encryption", "pointer": "/~1/~0/~1/XA/~0/Bdv/yCjIl-1XDO/~1/~0/~0" }, { "type": "encryption", "pointer": "/PHVg54i" }, { "type": "encryption", "pointer": "/deh/ONvl/~0/cVWp.8+/TY9ncl/~1/~0/Ca+ZQ/~0" } ] }, "last_updated": "2006-04-08T05:42:35.307Z", "encodingVersion": 1, "job": { "_id": "50febd63d3ca20e476ca6fae", "task": "e28f", "name": "myCoolDocumentName", "description": "Some helpful information about the document", "ancestors": [ "993a884a903a9f3a4e7c76e1", "bf28023a862fa5f39d4ce66d", "fbc0596f52aaeb547da7139f" ] }, "groups": [ "054c5ca06d624d87d65f10a6", { "_id": "08041be4c1db9c6e0a71e6d4", "provenance": "exercitation enim dolore sunt", "name": "pariatur velit", "description": "dolore consequat anim", "memberOf": [ { "groupId": "58ed903c12912ca8d7cf0eba", "aaaManaged": true }, { "groupId": "0ec788ab5fc941480fff4d7b", "aaaManaged": true }, { "groupId": "61f773955a7d645063a996d1", "aaaManaged": false }, { "groupId": "0a9f81a32bef4572a678eeb1", "aaaManaged": true } ], "assignedRoles": [ { "roleId": "proident ut dolore" }, { "roleId": "deserunt ea" }, { "roleId": "voluptate" }, { "roleId": "Excepteur et eiusmod nulla magna" }, { "roleId": "dolore in eu ea" } ], "inactive": true, "_meta": { "created": "1971-12-12T17:14:09.588Z", "updated": "2014-12-11T17:53:07.92Z", "migrationVersion": -37859946 } }, "55743e48bb15b142ebed1d3f", "a4370911aa52a2de36add5ca" ], "type": "operation", "metrics": { "start_time": "pariatur adipisicing eu incididunt", "end_time": 43528696.79897413, "server_id": "ex", "finish_state": "success", "run_time": -39759529.357878074, "retrying": null, "user": "837f8f90b22a06e7b10d672c", "owner": "3caed59faad03fc5f1faed52" } }, { "_id": "eDcD86b6-5Ba6-bB51-9AEA-cBC3BEcFB7Ee", "location": "Broker", "view": "occaecat elit non consectetur esse", "status": "failure", "app": "est", "name": "ut deserunt", "variables": { "decorators": [ { "type": "encryption", "pointer": "/weG" }, { "type": "encryption", "pointer": "/~1/b2L+2do/~0/~0/~0/NoMpg5pkf4a/n5/YPiR1/GfdCZx" } ] }, "last_updated": "1971-12-06T17:30:24.565Z", "encodingVersion": 1, "job": { "_id": "20b3d8f88bb729ce41b3b610", "task": "b4f", "name": "myCoolDocumentName", "description": "Some helpful information about the document", "ancestors": [ "b08af6b25f27a5af49303d88" ] }, "groups": [ "e840350d920df100b4066ab3" ], "type": "operation", "metrics": { "start_time": "ut dolore tempor aliqua magna", "end_time": -81184966.32459289, "server_id": "id reprehenderit laboris dolore", "finish_state": "success", "run_time": -22433338.33664769, "retrying": null, "user": "Pronghorn", "owner": { "_id": "f2ba8bd640a71eea797dbd3e", "provenance": "cillum", "username": "et aliquip Duis sit veniam", "firstname": "non occaecat sunt qui", "memberOf": [ { "groupId": "ca3c03a452249405d9042840", "aaaManaged": false }, { "groupId": "b61a718cd5c59316414ed189", "aaaManaged": true }, { "groupId": "8aa9e3a30738de6090b28eb8", "aaaManaged": false } ], "assignedRoles": [ { "roleId": "culpa minim pariatur cillum Excepteur" }, { "roleId": "in dolore Excepteur est laborum" } ], "inactive": true, "lastLogin": "2017-04-19T01:37:39.455Z", "_meta": { "created": "1988-10-27T00:45:41.223Z", "updated": "2025-10-19T03:58:14.953Z", "migrationVersion": -75278225 }, "email": "in" } } }, { "_id": "771bedcD-3E5e-bAfD-dE7F-Fe21EFC21Ba0", "location": "Application", "view": "dolore", "status": "scheduled", "app": "ut", "name": "adipisicing laborum", "variables": { "decorators": [ { "type": "encryption", "pointer": "/~0" }, { "type": "encryption", "pointer": "/~1/~1/~1/~1/~0/~1" } ] }, "last_updated": "2004-02-05T23:44:57.807Z", "encodingVersion": 1, "job": { "_id": "3f215f3917e0a6952de24441", "task": "e28f", "name": "myCoolDocumentName", "description": "Some helpful information about the document", "ancestors": [ "91f7a30aca5d70850b0e878c", "42f0bc560f846d8e9072bbb9", "23d622418121386268ddc5b5", "e6acab6e675e91d15c028fe2" ] }, "groups": [ { "_id": "f023e29ad1c586f2539856d5", "provenance": "cillum", "name": "nisi sunt non aute", "description": "labore ipsum aliquip", "memberOf": [ { "groupId": "a8e4cc89619e66c236175c74", "aaaManaged": false } ], "assignedRoles": [ { "roleId": "Lorem" }, { "roleId": "nulla dolore" }, { "roleId": "voluptate tempor anim" }, { "roleId": "reprehenderit culpa sint id sunt" } ], "inactive": false, "_meta": { "created": "1990-06-02T18:32:32.038Z", "updated": "1976-04-22T11:16:34.163Z", "migrationVersion": 17202842 } }, { "_id": "c9ba297b15309341e8f4db57", "provenance": "ut Duis sint Lorem ad", "name": "consectetur officia in non cillum", "description": "anim", "memberOf": [ { "groupId": "257d81fa518cdb640a0c03d0", "aaaManaged": true }, { "groupId": "3b7ea9b081d1ca82c30f09de", "aaaManaged": true }, { "groupId": "24247e488d98be90addcbb8f", "aaaManaged": true }, { "groupId": "222e6b9975a9ac753c83b62e", "aaaManaged": true }, { "groupId": "33a903b2f6ebd849463a7dba", "aaaManaged": true } ], "assignedRoles": [ { "roleId": "adipisicing consequat" } ], "inactive": true, "_meta": { "created": "1987-10-20T21:17:04.444Z", "updated": "1962-10-26T09:00:44.224Z", "migrationVersion": -28407671 } }, "5f97527f1342aa6b64e55481", { "_id": "3f3e313ba166de08f1e7c74c", "provenance": "deserunt dolor officia laborum sed", "name": "amet", "description": "consectetur exercitation dolore reprehenderit", "memberOf": [ { "groupId": "1b4e4e406958ebcbc29b444e", "aaaManaged": true }, { "groupId": "de4dac138313176949425172", "aaaManaged": true }, { "groupId": "124a1875c2497e68e1ecbbb6", "aaaManaged": false }, { "groupId": "1c1cc2ee1b897a3552b0788b", "aaaManaged": false } ], "assignedRoles": [ { "roleId": "adipisicing non" }, { "roleId": "in" }, { "roleId": "cillum Duis officia proident dolore" }, { "roleId": "culpa laboris quis" } ], "inactive": false, "_meta": { "created": "1980-08-15T08:03:41.841Z", "updated": "1994-02-26T06:25:35.404Z", "migrationVersion": -50098854 } }, "a87b3cef62415998cea73037" ], "type": "operation", "metrics": { "start_time": "dolore sint fugiat laboris", "end_time": 33220292.764677465, "server_id": "proident cupidatat", "finish_state": "running", "run_time": -42984280.253501564, "retrying": null, "user": { "_id": "1b51a62e94485b9a7e64663c", "provenance": "Lorem in nulla sunt Excepteur", "username": "Excepteur dolore proident consectetur", "firstname": "ipsum cillum", "memberOf": [ { "groupId": "d44ab655a21948802ca91e68", "aaaManaged": false }, { "groupId": "5d5f0a1f202bf6ea13f0e7fb", "aaaManaged": false } ], "assignedRoles": [ { "roleId": "amet consequat" }, { "roleId": "magna nulla in Lorem esse" }, { "roleId": "incididunt minim" } ], "inactive": true, "lastLogin": "1993-11-29T19:40:57.393Z", "_meta": { "created": "1978-07-01T10:45:40.396Z", "updated": "1947-03-23T23:52:22.513Z", "migrationVersion": -70216650 }, "email": "adipisicing ullamco id" }, "owner": "Pronghorn" } } ], "metadata": { "skip": -4706251, "limit": 30075652, "total": -72518135, "nextPageSkip": null, "previousPageSkip": 33389078, "currentPageSize": 95302986 } }
{ "title": "result", "allOf": [ { "$ref": "common-api#/definitions/success-response" }, { "type": "object", "properties": { "data": { "type": "array", "items": { "$ref": "task-api" } }, "metadata": { "$ref": "common-api#/definitions/pagination-metadata" } } } ] }